#ifndef COMPOSITIONRULE_H_
#define COMPOSITIONRULE_H_

#include "networks/onchipcommunication/PlatformInstance.h"
#include "networks/onchipcommunication/Implementation.h"

namespace cosi{
namespace rules{
namespace onchipcommunication{

using namespace cosi::commstruct::onchipcommunication ;

class CompositionRule {
public:
	CompositionRule();
	virtual ~CompositionRule();
	virtual PlatformInstance Compose(PlatformInstance pOp1 , PlatformInstance pOp2) ;
	virtual Implementation Compose(Implementation pOp1 , Implementation pOp2)  ;
};


}
}
}

#endif /*COMPOSITIONRULE_H_*/
